curl -X DELETE "https://api.affonso.io/v1/program/promotion-urls/promotion_url_abc123" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"message": "Promotion URL deleted successfully"
}
Promotion URLs
Delete Promotion URL
Permanently delete a promotion URL
DELETE
/
v1
/
program
/
promotion-urls
/
{id}
curl -X DELETE "https://api.affonso.io/v1/program/promotion-urls/promotion_url_abc123" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"message": "Promotion URL deleted successfully"
}
Permanently delete a promotion URL. A URL that is the default for the program or any group cannot be deleted; set or clear that default first.
Path Parameters
string
required
The promotion URL identifier.
Response
boolean
Always
true when deleted.string
Deletion confirmation.
curl -X DELETE "https://api.affonso.io/v1/program/promotion-urls/promotion_url_abc123" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"message": "Promotion URL deleted successfully"
}
Was this page helpful?
